put
https://apisandbox.cieloecommerce.cielo.com.br/1/sales//void
Cancel the total or partial amount of a credit transaction by providing the PaymentId.
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.cieloecommerce.cielo.com.br/1/sales/{PaymentId}/void?amount={Amount} |
| Production | put | https://api.cieloecommerce.cielo.com.br/1/sales/{PaymentId}/void?amount={Amount} |
It is not possible to partially void a transaction that was not captured.To partially void a transaction, the
Capturefield must be "true" when creating the payment with a credit card.
Partial cancellationCan occur numerous times, until the full amount of the transaction is canceled.
New mandatory field for voiding transactions due to fraud riskAs of 04/17/2026, it will be mandatory to provide the
Reasonfield when the void reason is fraud risk identified by the merchant.Set
Reason="HighRisk"in the request body, as shown in the example below:{ "Reason": "HighRisk" }